<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\DozentenUebersicht;

class DozentenUebersichtController extends \Kufer\Web\KuferTools\Basis\DozentenInfo\DozentenUebersicht\DozentenUebersichtController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DozentenUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return DozentenUebersichtUseCase::getToolId();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DozentenUebersichtPresenter($pUseCaseResponse);
  }
}